/**
 * 
 */
package org.q2l.smallab;

import processing.core.PApplet;

/**
 * @author Mike Edwards (mike@onearmedman.com)
 *
 */
public class FractionView {

	static public int BLOCK_HEIGHT = 50;
	
	PApplet parent;
	int x, y;
	long n, d;
	Fraction fraction;
	
	/**
	 * @param parent
	 * @param iwidth
	 * @param iheight
	 * @param lcd 
	 * @param fraction 
	 */
	public FractionView(PApplet parent, long n, long d) {
		this.parent = parent;
		this.n = n;
		this.d = d;
	}
	
	public void draw(float x, float y) {
		//this.parent.stroke(255);
		this.parent.textFont(((PartsOfWholeDemo)this.parent).numberFont);
		this.parent.text("" + n,x,y);
		this.parent.strokeWeight(2);
		this.parent.line(x,y + 3,x + this.parent.textWidth("" + d),y + 3);
		this.parent.text("" + d,x,y + FractionManipulativeView.BLOCK_HEIGHT * 0.5f);
	}

}
